Bug 40629 - undefined symbol after
undefined symbol after
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i586 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-15 00:25 EDT by Gregory S. Hayes
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-29 10:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory S. Hayes 2001-05-15 00:25:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.14-6.1.1 i586; en-US; Galeon)
Gecko/20010216

Description of problem:

Hardware:
AMD K62 450
256 M RAM 100 mhz

Just after the installer boots and checks for scsi hardware, etc. the
install bombs with weird glibc errors. 

Example:

(expert install)
Running anaconda - please wait
/usr/bin/python: error while loading shared libraries:/lib/libc.so.6:
undefined symbol: isten, version GLIBC_2.1.
install exited abnormally...

(standard install)
/usr/bin/python: error while loading shared libraries:/lib/libc.so.6
undefined symbol: , version GLIBC_2.0

The problem happens every time. Each time, however, the error is a
different undefined symbol and sometimes a different version of GLIBC (??)

How reproducible:
Always

Steps to Reproduce:
1. Boot RH 7.1 CD 
2. Choose any install mode ( with or without noprobe )
3. Watch anaconda bomb
	

Actual Results:  (expert install) 
Running anaconda - please wait 
/usr/bin/python: error while loading shared libraries:/lib/libc.so.6:
undefined symbol: isten, version GLIBC_2.1. 
install exited abnormally... 

(standard install) 
/usr/bin/python: error while loading shared libraries:/lib/libc.so.6
undefined symbol: , version GLIBC_2.0


Expected Results:  The installer should load

Additional info:

The problem happens every time. Each time, however, the error is a
different undefined symbol and sometimes a different version of GLIBC (??)
Comment 1 Brent Fox 2001-05-15 00:45:10 EDT
That is quite weird.  Did you download these cd's?
Comment 2 Gregory S. Hayes 2001-05-15 01:27:51 EDT
No, I bought the CDs. The Red Hat Support I paid for has been of no help :( They
referred me to bugzilla. I am very interested in solving this problem and will
provide you with any information you need.
Comment 3 Brent Fox 2001-05-15 11:19:18 EDT
Ok, a few questions.  What happens when you boot with 'linux ide=nodma'?  Does
that help?  Also, do these cd's work in other machines?  When the machine
crashes, can you press <Ctrl><Alt><F3> and <Ctrl><Alt><F4> and see if there are
any error messages?
Comment 4 Gregory S. Hayes 2001-05-15 18:14:19 EDT
I rebooted and check the virtual terms. On the F3 terminal I saw:

* going to insmod ext3.o ( path is NULL )
* looking for USB mouse . . .

on the F4 term I noticed:

<7> ISO 9660 Extensions: RRIP_1991A
<4> Unable to identify CD-ROM format

... snip ...

hdb : cdrom_decode_status: status=0x51 { DriveReady SeekComplete Error }
hdb : cdrom_decode_status: error=0x01
hdb : cdrom_decode_status: status=0x51 { DriveReady SeekComplete Error }
hdb : cdrom_decode_status: error=0x01

... snip ...

<4> raid5 : using function: p5_mmx ( 942.800 MB/sec )
<6> raid5 personality registered as nr 4 

I tried "linux ide=nodma" but it had no effect :(

Comment 5 Brent Fox 2001-05-16 16:08:54 EDT
I can't say for sure, but this sounds like the cd (or the cdrom drive) could be
bad.  What is the make and model of the cdrom drive?
Comment 6 Brent Fox 2001-05-16 16:11:03 EDT
Can you create a boot floppy from the boot.img file in the images directory on
the cd?  Boot from that floppy and then select 'CDROM' as the install type. 
Does that help?
Comment 7 Gregory S. Hayes 2001-05-16 17:54:59 EDT
I created a boot floppy from boot.img, but the problem still manifested with
identical output. 

My CDROM Drive is reported by dmesg to be: 

hdb: LTN483, ATAPI CDROM drive
hdb: ATAPI 48X CD-ROM drive, 120kB Cache

The drive runs fine with my current RH 6.2 install and didn't exhibit this
behavior when I tried the 7.0 CDROM. 

How does the bootnet.img work? Where would I point it? If I did an install with
that method how much free space would I need (for caching the packages) and on
what drive? Would I still get all of the benifits/packages of the purchased
version of RH 7.1? Would my CDROM work after the install?
Comment 8 Brent Fox 2001-05-17 17:39:34 EDT
The reason I asked you to try the boot.img is that some cdrom drives don't
support booting off a 2.88MB boot image, which is what the cd uses.  Sometimes,
using the boot.img floppy can get around this problem.

About bootnet.img, yes, you can do a network install, but unless you have a
pretty fast network connection, it is going to be very slow.  You can do an FTP
install and point it at any of the mirrors that carry Red Hat Linux (such as
ftp.ibiblio.org, ftp.redhat.com, etc).  You also have to enter the right
directory on the ftp site.

There is the possibility that the cd's in the box set are bad.  If you have
another machine, I'd try the cd's in it and if you get the same error, I'd take
them back and exchange them.
Comment 9 Brent Fox 2001-05-29 10:27:38 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.